import subprocess
import sys
import os

def start_fastapi():
    environment = os.environ.get('environment', 'default') 
    if environment == 'default':
        process = subprocess.Popen(["uvicorn", "app.main:app", "--host", "0.0.0.0", "--port", "80"])
    else:
        process = subprocess.Popen(["uvicorn", "app.main:app", "--host", "0.0.0.0", "--port", "5000"])
    return process

def start_celery():
    if sys.platform == "win32":
        process = subprocess.Popen(["celery", "-A", "app.celery_app", "worker", "--loglevel=info", "-P", "solo"])
    else:
        process = subprocess.Popen(["celery", "-A", "app.celery_app", "worker", "--loglevel=info"])
    return process

if __name__ == "__main__":
    # 启动 FastAPI 和 Celery
    fastapi_process = start_fastapi()
    # celery_process = start_celery() 

    # 等待子进程完成
    fastapi_process.wait()
    # celery_process.wait() 